APIs / Mastodon / Statuses

Mastodon: Statuses

Statuses from Mastodon as JSON. 1 credit per successful call.

GET /v1/mastodon/statusesNeeds terms

Note
This endpoint needs the restricted-endpoint terms, which you can accept in your dashboard.

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
instancestringOptionalUp to 253 characters
idstringRequiredUp to 64 characters
limitintegerOptionalAny
max_idstringOptionalUp to 64 characters
min_idstringOptionalUp to 64 characters
since_idstringOptionalUp to 64 characters
exclude_repliesbooleanOptionalAny
exclude_reblogsbooleanOptionalAny
only_mediabooleanOptionalAny
pinnedbooleanOptionalAny
taggedstringOptionalUp to 255 characters

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/mastodon/statuses?instance=mastodon.social&id=1&limit=5" \
  -H "X-API-Key: $API_KEY"